[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBRadioGroup.ReadOnly

ReadOnly - if True, data can only be read, not written or modified. (Doesn't really make sense for a RadioGroup!).

## Declaration

Source position: dbctrls.pp line 627

`published property TDBRadioGroup.ReadOnly : Boolean read GetReadOnly write SetReadOnly default False;`

## Description

ReadOnly is a Boolean property which indicates if the control, and its linked dataset can be modified. Read and write access for the property value are redirected to the ReadOnly property in DataLink.

The default value for the property is False.

## See also

TFieldDataLink.CanModify |  | True if the linked field is capable of being modified.
TDataLink.ReadOnly